# Interface ReadableWritablePair<R, W>

interface ReadableWritablePair<R, W> {
readable: ReadableStream<R>;
writable: WritableStream<W>;
}

#### Type Parameters

- R = any
- W = any

- Defined in node_modules/@types/node/stream/web.d.ts:4

#####
Index

### Properties

readable
writable

## Properties

### readable

readable: ReadableStream<R>

- Defined in node_modules/@types/node/stream/web.d.ts:5

### writable

writable: WritableStream<W>

Provides a convenient, chainable way of piping this readable stream through a transform stream (or any other { writable, readable } pair). It simply pipes the stream into the writable side of the supplied pair, and returns the readable side for further use.

Piping a stream will lock it for the duration of the pipe, preventing any other consumer from acquiring a reader.

- Defined in node_modules/@types/node/stream/web.d.ts:15